import * as React from 'react';
import { IData } from './IData';
export interface SuggesterContextParam {
    values?: {
        [name: string]: string;
    };
    statusBarHeight?: number;
    backgroundColor?: string;
    textColor?: string;
    textFont?: string;
    setMarginTopAsync?(marginTop: number): Promise<void>;
    setValueAsync?(name: string, value: string): Promise<void>;
    handleFocusProvider?(): void;
    setDataAsync?(name: string, data: IData[]): Promise<void>;
    handleBlurProvider?(): void;
    setPaddingHorizontalAsync?(paddingVertical: number): Promise<void>;
}
export declare const SuggesterContext: React.Context<SuggesterContextParam>;
