import { Component } from 'react';
import { IData } from './IData';
interface Props {
    data: IData[];
    currentName?: string;
    textWhenEmpty?: string;
    backgroundColor?: string;
    textColor?: string;
    textFont?: string;
    paddingHorizontal?: number;
    paddingTop?: number;
    selectFromList(name: string, value: string): void;
}
export declare class SuggesterModal extends Component<Props> {
    static defaultProps: {
        textWhenEmpty: string;
        backgroundColor: string;
    };
    keyExtractor: (item: {
        id: string | number;
    }) => string;
    renderEmpty: () => JSX.Element;
    handleSelect: ({ selectFromList, name, value, }: {
        selectFromList: (name: string, value: string) => void;
        name: string;
        value: string;
    }) => () => void;
    renderItem: (selectFromList: (name: string, value: string) => void) => ({ item, }: {
        item: IData;
    }) => JSX.Element;
    render(): JSX.Element;
}
export {};
